[INCLUDE]
INCLUDE=common

!!!Audio!!!

-----------------------------------------------------------------------------------------------------------------------------------
[AUDIO_VOLUME]

ENGINE_EXT = 4.5
ENGINE_INT = 2.0
GEAR_EXT = 1
GEAR_INT = 1 
BODYWORK = 1
WIND = 1
DIRT = 1
DOWN_SHIFT = 1
HORN = 2
GEAR_GRIND = 1
BACKFIRE_EXT = 1
BACKFIRE_INT = 0.3
TRACTION_CONTROL_EXT = 1
TRACTION_CONTROL_INT = 1
TRANSMISSION = 0.3
LIMITER = 0.3
TURBO = 0.1
HIT = 2
SCRAPE = 1
WHEEL = 1
SKID_EXT = 2
SKID_INT = 1

[AUDIO_PITCH]
ENGINE_EXT = 1.2
ENGINE_INT = 1.2
LIMITER = 1.0
TURBO = 1.0

[AUDIO_PARAMETER_TRANSFORM]
; Send 7600 instead of 8000
ENGINE_EXT_RPMS = (| 0=0 | 8200=7500 |)
ENGINE_INT_RPMS = (| 0=0 | 8200=7500 |)
[SCRIPT_...]
SCRIPT = "cluch sound.lua"

-------------------------------------------------------------------------------------------------------------------------------------------
!!!LIGHTS!!!

[ABOUT]
AUTHOR=Tsuka1427

[INCLUDE: common/custom_emissive.ini]

[CustomEmissive]
Meshes = lights_SUB1_008, Stock_Front_Bumper_Signals_008,Side_Markers_008
Resolution = 1024, 1024
PolySubtractNext = 1
@ = CustomEmissive_Poly, Channel = 0, P1 = "558,188", P2 = "778,188", P3 = "778,250", P4 = "558,250"
@ = ReverseLights, Channel = 0, Intensity = 0.7
@ = CustomEmissive_Poly, Channel = 1, Mirror, P1 = "17,481", P2 = "123,481", P3 = "123,959", P4 = "17,959"
@ = TurningLightsFront, Channel = 1
@ = CustomEmissive_Poly, Channel = 2, Mirror, P1 = "853,6", P2 = "997,6", P3 = "997,271", P4 = "853,271"
@ = TurningLightsFrontCorner, Channel = 2
@ = CustomEmissive_Poly, Channel = 3, Mirror, P1 = "5,188", P2 = "555,188", P3 = "555,250", P4 = "5,250"
@ = TurningLightsRear, Channel = 3, Intensity = 1

[EMISSIVE_LIGHT_0]
NAME=front_lights_SUB0,front_lights_SUB1
COLOR = 25,25,20,3
LAG=0.8
LOCATION=FRONT
OFF_COLOR=0,0,0
CAST_LIGHT = 3

[EMISSIVE_LIGHT_1]
NAME=front_lights_glass
COLOR = 25,25,25,0.1
LAG=0.7
LOCATION=FRONT
OFF_COLOR=0,0,0
CAST_LIGHT = 3

[EMISSIVE_LIGHT_2]
NAME=lights_SUB3_008
COLOR = 25,25,20,0.1
LAG=0.1
LOCATION=FRONT
OFF_COLOR=0,0,0
CAST_LIGHT = 3

[EMISSIVE_LIGHT_3]
NAME=lights_SUB6_008,
COLOR = 25,25,0,5
LAG=0.9
LOCATION=FRONT
OFF_COLOR=0,0,0
CAST_LIGHT = 3


[CustomEmissiveMulti]
Meshes = pribor_back
UseEmissive0AsFallback = 1
Intensity = 1
Resolution = 1024, 1024
Debug = 0
@ = DashHighlight
@ = MultiItem, Role = HIGHBEAM, Center = "893,868", Size = 30 
@ = MultiItem, Role = HANDBRAKE, Center = "115,870", Size = 30
@ = MultiItem, Role = STALLED, Center = "873, 836", Size = 30

[CustomEmissiveExtra]
PARENT=pribor_back
@ = CustomEmissiveExtra_Icon, Position = '-151,165,-76.0', Axis = '0.0,0.0,1.0', Normal = "1.0, 0.0, 0.0", Size = 2.007, Role = TURNSIGNAL_LEFT
@ = CustomEmissiveExtra_Icon, Position = '-151,165,-81.0', Axis = '0.0,0.0,1.0', Normal = "1.0, 0.0, 0.0", Size = 2.007, Role = TURNSIGNAL_RIGHT
Brightness = 0.02


-------------------------------------------------------------------------------------------------------------------------------------------

[ANIMATED_WIPER_0]
DEBUG = 1
MESHES = windshield_wipers_SUB0
UNDERLYING_SURFACE = window
GROUP_0 = 'windshield_wipers_SUB0@A=1-3'
GROUP_0_ANGLE_TO = -80.400002
GROUP_0_AXIS = 0.000000, 0.707107, 0.707107
GROUP_0_AXIS_OFFSET_0 = 0.000000, 0.707107, 0.707107
GROUP_0_AXIS_OFFSET_1 = 0.000000, 0.707107, 0.707107
GROUP_0_END = 0.653206, 0.936970, 0.849795
GROUP_0_PIVOT = 0.005350, 0.887362, 1.045408
GROUP_0_RUBBER_FROM = 0.111267, 0.920128, 0.963699
GROUP_0_RUBBER_OFFSET_AMOUNT = 0.013500
GROUP_0_RUBBER_OFFSET_POS = 0.497731
GROUP_0_RUBBER_TO = 0.650391, 0.922245, 0.853874
GROUP_1 = 'windshield_wipers_SUB0@A=4-6'
GROUP_1_ANGLE_TO = -80.500000
GROUP_1_AXIS = 0.000000, 0.707107, 0.707107
GROUP_1_AXIS_OFFSET_0 = 0.000000, 0.707107, 0.707107
GROUP_1_AXIS_OFFSET_1 = 0.000000, 0.707107, 0.707107
GROUP_1_END = 0.042089, 0.941215, 0.958837
GROUP_1_PIVOT = -0.624533, 0.889243, 0.925113
GROUP_1_RUBBER_FROM = -0.509666, 0.921291, 0.911530
GROUP_1_RUBBER_OFFSET_AMOUNT = 0.013077
GROUP_1_RUBBER_OFFSET_POS = 0.499756
GROUP_1_RUBBER_TO = 0.037651, 0.926346, 0.960434

[MESH_ADJUSTMENT_0]
MESHES = windshield_wipers_SUB0
MOVE_TO = modelRoot:y

[BASIC]
DISABLE_WIPER_KSANIM = 1

[EXHAUST_FLAMES]
ANTILAG=1
ANTILAG_DELAY=0.3
ANTILAG_INTENSITY=1000
ANTILAG_INTERVAL_MAX=10.1
ANTILAG_INTERVAL_MIN=1.01
ANTILAG_TURBO_THRESHOLD=0.001
DAMAGE=1
DAMAGE_DURATION=0.04
DAMAGE_INTENSITY=1
DAMAGE_PROBABILITY=1
DISCHARGE=1
DISCHARGE_CHARGE_TIME=3
DISCHARGE_DELAY=1.0
DISCHARGE_DURATION=0.4
DISCHARGE_INTENSITY=0.05
DISCHARGE_PROBABILITY=0.1
DISCHARGE_RPM_THRESHOLD_MAX=7800
DISCHARGE_RPM_THRESHOLD_MIN=1200
DISCHARGE_WATER_TEMPERATURE_THRESHOLD=90
FLAT_SHIFT=1
FLAT_SHIFT_COOLDOWN=1
FLAT_SHIFT_DURATION=0.1
FLAT_SHIFT_GAS_THRESHOLD=0.5
FLAT_SHIFT_INTENSITY=10000000
FLAT_SHIFT_PROBABILITY=1
FLAT_SHIFT_RPM_THRESHOLD=6000
LIMITER=1
LIMITER_DELAY=0.0
LIMITER_INTENSITY=5.2
LIMITER_RPM_THRESHOLD=6100

[SHAKING_EXHAUST_...]
MESHES = exhaust_002
POINT_0 = 1, 2, 3
POINT_0_RADIUS = 1
POINT_0_EXP = 1
POINT_0_SCALE = 0.6, 0.5, 0.7
6
